<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper page-add-shipment">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      {{title}}
      <small></small>
    </h1>
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="" routerLink="/">Home</a></li>
      <li class="breadcrumb-item active" aria-current="page">Create Shipment</li>
    </ol>
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <form [formGroup]="formShipment" name="formShipment">
          <div class="content " *ngIf="!btn_add; else contentAdd">
            <div class="row">
              <div class="col-sm-4">
                <div class="panel panel-primary">
                  <div class="panel-heading">
                    Sender
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                      <label>Name</label>
                      <input type="text" name="name" placeholder="name" formControlName="name" class="form-control"
                        [ngClass]="{ 'is-invalid': submitted && f.name.errors }" />
                      <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
                        <div *ngIf="f.name.errors.required">Name is required</div>
                      </div>
                    </div>

                    <div class="form-group">
                      <label>Email</label>
                      <input type="text" name="email" placeholder="abc@gmail.com" formControlName="email"
                        class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                      <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                        <div *ngIf="f.email.errors.required">Email is required</div>
                        <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
                      </div>
                    </div>

                    <div class="form-group">
                      <label>Phone</label>
                      <input type="text" name="phone" placeholder="0123456789" formControlName="phone"
                        class="form-control" [ngClass]="{ 'is-invalid': submitted && f.phone.errors }" />
                      <div *ngIf="submitted && f.phone.errors" class="invalid-feedback">
                        <div *ngIf="f.phone.errors.required">phone is required</div>
                      </div>
                    </div>

                    <div class="form-group">
                      <label>Country code</label>
                      <select name="country_code" id="country_code" formControlName="country_code" class="form-control">
                        <option value="FR">Phap</option>
                        <option value="FR">Viet Nam</option>
                      </select>
                    </div>


                    <div class="form-group">
                      <label>City</label>
                      <input type="text" name="locality" placeholder="" formControlName="locality"
                        class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Postal code </label>
                      <input type="number" name="postal_code" formControlName="postal_code" class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Address </label>
                      <input type="text" name="address_line1" placeholder="" formControlName="address_line1"
                        class="form-control" />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="panel panel-primary">
                  <div class="panel-heading">
                    Receiver
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                      <label>Receiver Name</label>
                      <input type="text" name="receiver_name" placeholder="receiver_name"
                        formControlName="receiver_name" class="form-control"
                        [ngClass]="{ 'is-invalid': submitted && f.receiver_name.errors }" />
                      <div *ngIf="submitted && f.receiver_name.errors" class="invalid-feedback">
                        <div *ngIf="f.receiver_name.errors.required">Receiver name is required</div>
                      </div>
                    </div>

                    <div class="form-group">
                      <label>Receiver email</label>
                      <input type="text" name="receiver_email" placeholder="abc@gmail.com"
                        formControlName="receiver_email" class="form-control" />

                    </div>

                    <div class="form-group">
                      <label>Receiver Phone</label>
                      <input type="text" name="receiver_phone" placeholder="0123456789" formControlName="receiver_phone"
                        class="form-control" [ngClass]="{ 'is-invalid': submitted && f.receiver_phone.errors }" />
                      <div *ngIf="submitted && f.receiver_phone.errors" class="invalid-feedback">
                        <div *ngIf="f.receiver_phone.errors.required">Receiver Phone required</div>
                      </div>
                    </div>

                    <div class="form-group">
                      <label>Country code</label>
                      <select name="receiver_country_code" id="receiver_country_code"
                        formControlName="receiver_country_code" class="form-control">
                        <option value="FR">Phap</option>
                        <option value="FR">Viet Nam</option>
                      </select>
                    </div>

                    <div class="form-group">
                      <label>City</label>
                      <input type="text" name="receiver_locality" placeholder="" formControlName="receiver_locality"
                        class="form-control" [ngClass]="{ 'is-invalid': submitted && f.receiver_locality.errors }" />
                      <div *ngIf="submitted && f.receiver_locality.errors" class="invalid-feedback">
                        <div *ngIf="f.receiver_locality.errors.required">receiver_locality is required</div>
                      </div>
                    </div>

                    <div class="form-group">
                      <label>Postal code </label>
                      <input type="number" name="receiver_postal_code" placeholder=""
                        formControlName="receiver_postal_code" class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Address </label>
                      <input type="text" name="receiver_address_line1" placeholder=""
                        formControlName="receiver_address_line1" class="form-control"
                        [ngClass]="{ 'is-invalid': submitted && f.receiver_address_line1.errors }" />
                      <div *ngIf="submitted && f.receiver_address_line1.errors" class="invalid-feedback">
                        <div *ngIf="f.receiver_address_line1.errors.required">Address is
                          required
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="panel panel-primary">
                  <div class="panel-heading">
                    Package
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                      <label>Height </label>
                      <input type="number" name="height" placeholder="Unit cm" formControlName="height"
                        class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Width </label>
                      <input type="number" name="width" placeholder="Unit cm" formControlName="width"
                        class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Length </label>
                      <input type="number" name="length" placeholder="Unit cm" formControlName="length"
                        class="form-control" />
                    </div>

                    <div class="form-group hidden">
                      <label>Unit </label>
                      <input type="text" name="unit_cm" placeholder="" formControlName="unit_cm" class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Gross Weight </label>
                      <input type="number" name="weight" placeholder="Unit kg" formControlName="weight"
                        class="form-control" [ngClass]="{ 'is-invalid': submitted && f.weight.errors }" />
                      <div *ngIf="submitted && f.weight.errors" class="invalid-feedback">
                        <div *ngIf="f.weight.errors.required">Gross Weight is required</div>
                        <div *ngIf="f.weight.errors.min">Gross Weight is Min > 0</div>
                        <div *ngIf="f.weight.errors.validWeight">Gross Weight (1 - 15) </div>
                      </div>
                    </div>

                    <div *ngIf="ref" class="form-group">
                      <div class="alert alert-success" role="alert">
                        Giá ship cho đơn hàng của bạn
                        {{shipment.cost }} USD
                      </div>
                    </div>


                    <div class="form-group hidden">
                      <label>Unit </label>
                      <input type="text" name="unit" placeholder="" formControlName="unit" class="form-control" />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-12">

                <div class="form-group text-center">
                  <button [disabled]="formShipment.invalid" (click)="getQuote()" type="button" [disabled]="loading"
                    class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    GET QUOTE
                  </button>
                </div>
                <div class="hidden" style="">
                  <!-- DEBUG -->
                  <pre>{{formShipment.get('email').valid}}</pre>
                  <pre>{{formShipment.get('name').valid}}</pre>
                  <pre>{{formShipment.get('phone').valid}}</pre>
                  <pre>{{formShipment.get('locality').valid}}</pre>
                  <pre>{{formShipment.get('postal_code').valid}}</pre>
                  <pre>{{formShipment.get('country_code').valid}}</pre>
                  <pre>{{formShipment.get('address_line1').valid}}</pre>
                  <pre>{{formShipment.get('receiver_name').valid}}</pre>
                  <pre>{{formShipment.get('receiver_email').valid}}</pre>
                  <pre>{{formShipment.get('receiver_phone').valid}}</pre>
                  <pre>{{formShipment.get('receiver_locality').valid}}</pre>
                  <pre>{{formShipment.get('receiver_postal_code').valid}}</pre>
                  <pre>{{formShipment.get('receiver_country_code').valid}}</pre>
                  <pre>{{formShipment.get('receiver_address_line1').valid}}</pre>
                  <pre>{{formShipment.get('height').valid}}</pre>
                  <pre>{{formShipment.get('width').valid}}</pre>
                  <pre>{{formShipment.get('length').valid}}</pre>
                  <pre>{{formShipment.get('unit_cm').valid}}</pre>
                  <pre>{{formShipment.get('unit').valid}}</pre>
                  <pre>{{formShipment.get('weight').valid}}</pre>
                </div>
              </div>
            </div>
          </div>
          <ng-template #contentAdd>
            <div class="content-add ">
              <div class="row">
                <div class="info-sender col-sm-6">
                  <div class="panel panel-primary">
                    <div class="panel-heading">
                      Info Sender
                    </div>
                    <div class="panel-body">
                      <h2 class="title-add"> </h2>
                      <p>Sender Name: {{shipment.origin.contact.name }}</p>
                      <p>Sender Email: {{shipment.origin.contact.email }}</p>
                      <p>Sender Phone: {{shipment.origin.contact.phone }}</p>
                      <p>From: {{shipment.origin.address.address_line1 }} - {{shipment.origin.address.locality }}</p>
                    </div>
                  </div>
                </div>
                <div class="info-reciver col-sm-6">
                  <div class="panel panel-primary">
                    <div class="panel-heading">
                      Info Receiver
                    </div>
                    <div class="panel-body">

                      <p>Receiver Name: {{shipment.destination.contact.name }}</p>
                      <p>Receiver Email: {{shipment.destination.contact.email }}</p>
                      <p>Receiver Phone: {{shipment.destination.contact.phone }}</p>
                      <p>To: {{shipment.destination.address.address_line1 }}
                        - {{shipment.destination.address.locality }}</p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-12">
                  <div class="form-group text-center">
                    <div class="alert alert-success" role="alert">
                      {{mesenger}}
                    </div>

                    <button (click)="createShipment(ref)" type="button" *ngIf="btn_add" [disabled]="loadingAdd"
                      class="btn btn-primary">
                      <span *ngIf="loadingAdd" class="spinner-border spinner-border-sm mr-1"></span>
                      Create Shipment
                    </button>
                    or
                    <button (click)="backGetQuote()" type="button" class="btn btn-info">
                      Back
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </form>
      </div>
    </div>

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->